<template>
  <div id="app">
    <q-layout view="lHh Lpr lFf" class="window-height">
      <!-- <q-header elevated>
        <q-toolbar>
          <q-toolbar-title> {{ $t("sitename") }} </q-toolbar-title>
        </q-toolbar>
      </q-header> -->

      <q-page-container class="full-height">
        <router-view />
      </q-page-container>
    </q-layout>
  </div>
</template>

<script>
export default {
  meta() {
    return {
      title: this.$t("sitename", [process.env.VUE_APP_SITENAME]),
    };
  },
  mounted() {
        let locale = this.$cookie.get('locale');
        if(locale && locale !== 'undefined') 
        {
            this.lang = locale;
            this.$root.$i18n.locale = locale;
        }
        else
        {
            console.log('using default lang: ' + process.env.VUE_APP_DEFAULT_LANG)
            this.lang = process.env.VUE_APP_DEFAULT_LANG;
            this.$root.$i18n.locale = process.env.VUE_APP_DEFAULT_LANG;
        }
    },
};
</script>

<style></style>
